# ifndef _CAMERA_H
# define _CAMERA_H

#include "templates/def_include.h"
#include "camerapoints.h"

#define mouse_movement 1000.0f

class Camera {
   private:
      CameraPoints cam_point_eye;
      CameraPoints cam_point_center;
      CameraPoints cam_point_up;
   public:
      // 0,3,15, 0,0,0 0,1,0
      Camera() {cam_point_eye.Set_Points(0,0,10),  cam_point_center.Set_Points(0,0,0),   cam_point_up.Set_Points(0,1,0);}

      Camera(CameraPoints eye, CameraPoints center, CameraPoints up)    {
                cam_point_eye = eye;
		         cam_point_center = center;
	            cam_point_up = up;
         }
      void Poistion_Camera();

      void Set_View_By_Mouse();

      void Rotate_View(float angle, float x, float y, float z);

      void Move_Camera(float speed);
};

# endif
